MetaCPAN::Client::DownloadURL(3pm)

NAME
MetaCPAN::Client::DownloadURL - A Download URL data object

VERSION
version 2.038000

SYNOPSIS
    my $download_url = $mcpan->download_url('Moose');

DESCRIPTION
A MetaCPAN download_url entity object.

ATTRIBUTES

  checksum_sha256
The sha256 hexdigest for the file.

  checksum_md5
The md5 hexdigest for the file.

  date
Returns the date of the release that this URL refers to.

  distribution
The name of the distribution.

  download_url
The actual download URL.

  status
The release status, which is something like "latest" or "cpan"

  version
The version number for the distribution.

AUTHORS

•   Sawyer X <xsawyerx@cpan.org>

•   Mickey Nasriachi <mickey@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2016 by Sawyer X.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.